# siujeless

A serverless version for [siuje](https://www.npmjs.com/package/siuje), the middleware
using in siuje can be reusedmo on siujeless without modification.

# How to use

Generally you can make a fech event listener, for example, in Bun, using code like:

```javascript
import siuje from "siujeless"

// sample for middleware, copy from siuje
const set_header = headers => {
        return (req, ctrl) => next => {
                ctrl( headers );
                return next(req, ctrl);
        }
}

Bun.serve({
  port: 10001,
  fetch: siuje([
    set_header({"server": "siujeless"}),
    async (req, ctrl) => {
      ctrl(200);
      return "hello,world";
    }
  ]),
});
```

So with siujeless, your code in siuje can move to serverless easily.
